## mmtf-python 1.1.2

=== requirements.txt ===
ipython==5.4.1
numpy
nose
msgpack>=0.5.6

=== debian/changelog ===
mmtf-python (1.1.2-3) unstable; urgency=medium

  * Adding missing dependencies for python3-mmtf (Closes: #962999).

 -- Andrius Merkys <merkys@debian.org>  Wed, 17 Jun 2020 07:43:43 -0400

mmtf-python (1.1.2-2) unstable; urgency=medium

  * Adding 'Rules-Requires-Root: no'.
  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Mon, 15 Jun 2020 07:53:47 -0400

mmtf-python (1.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #962690)

 -- Andrius Merkys <merkys@debian.org>  Mon, 15 Jun 2020 00:33:27 -0400

=== debian/control ===
Source: mmtf-python
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-msgpack <!nocheck>,
 python3-numpy <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/rcsb/mmtf-python
Vcs-Browser: https://salsa.debian.org/debichem-team/mmtf-python
Vcs-Git: https://salsa.debian.org/debichem-team/mmtf-python.git

Package: python3-mmtf
Architecture: all
Depends:
 python3-msgpack,
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
Description: binary encoding of biological structures (Python 3)
 The macromolecular transmission format (MMTF) is a binary encoding of
 biological structures.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mmtf-python-$1.tar.gz%" \
 https://github.com/rcsb/mmtf-python/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## mmtf-python 1.1.3

=== requirements.txt ===
numpy
nose
msgpack>=1.0.0

=== debian/changelog ===
mmtf-python (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3
  * Bump copyright years.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Wed, 13 Jul 2022 05:22:34 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-msgpack <!nocheck>,
  python3-numpy <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rcsb/mmtf-python
 Vcs-Browser: https://salsa.debian.org/debichem-team/mmtf-python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = mmtf

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=. python3 mmtf/tests/codec_tests.py

override_dh_clean:
	dh_clean
	rm -rf mmtf_python.egg-info

=== debian/tests/control ===
Test-Command: python3 mmtf/tests/codec_tests.py
Depends:
 @,
Restrictions: rw-build-tree, allow-stderr
